Bug 472312 - Prefetch information
Prefetch information
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.1
All Linux
high Severity high
: 1.3
: ---
Assigned To: Jonathan Robie
Jeff Needle
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 18:36 EST by William Henry
Modified: 2013-08-05 20:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-11-19 18:36:23 EST
Description of problem:

There doesn't seem to be a lot of descriptions anywhere on how to use prefetch.

pre-acquire is default .. i.e. it assumes that the consumer is going to take ownership of message and once acknowledged it can be removed from the queue. 

no-acquire allows you to fetch messages without acquiring them. This is useful for both subscribing to messages with taking responsibility for processing (stock feed) or for browsing messages on a queue. 

I found this very useful:
https://wiki.108.redhat.com/wiki/index.php/AMQP:154,162:Proposal

Also Jonathan had some slides on no-acquire and pre-acquire in the training material. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Jonathan Robie 2009-11-30 09:55:37 EST
In the User's Guide, the Sessions chapter has a section called "Message acquisition and acceptance", which covers this.

The C++ API documentation for Session has a series of examples for "Accepting, Acquiring, Rejecting, or Releasing Messages". The Python API documentation is sparse in general, and does not include this. For both languages, the new high level APIs need to be documented in general. 

Java uses the Java JMS API.

Note You need to log in before you can comment on or make changes to this bug.